Package org.apache.sling.testing.teleporter.client

# Class ExponentialBackoffDelay

java.lang.Object
org.apache.sling.testing.teleporter.client.ExponentialBackoffDelay

public class ExponentialBackoffDelay extends Object
Wait with exponential backoff, for retries

## Field Summary

Fields
Modifier and Type
Field
Description
`static final float`
`INCREASE_RATE`

## Constructor Summary

Constructors
Constructor
Description
`ExponentialBackoffDelay(int startDelayMsec, int endDelayMsec)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNextDelayMsec()`
`void`
`waitNextDelay()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INCREASE_RATE

public static final float INCREASE_RATE

See Also:
  - Constant Field Values

## Constructor Details

### ExponentialBackoffDelay

public ExponentialBackoffDelay(int startDelayMsec, int endDelayMsec)

## Method Details

### getNextDelayMsec

public int getNextDelayMsec()

### waitNextDelay

public void waitNextDelay()